fltk1.4 (1.4.3~20250423+82d5679f9cf1-2) experimental; urgency=medium

  * debian/libfltk1.4.symbols*: Go ahead with libfltk1.4.symbols.<arch>,
    with most of libfltk1.4.symbols' direct contents factored out into
    libfltk1.4.symbols.common.  Tagged inclusions mostly worked out, but
    lacked a good way to indicate that certain symbols should be present
    on 64-bit architectures and *-i386 (i.e., architectures on which
    time_t is simply long) but not anywhere else.  An additional benefit
    is being able to supply a generic fltk1.4.symbols that's open to any
    known va_list representation and to the possibility that Wayland
    support may or may not be present.
  * debian/libfltk1.4.symbols.{common,wayland}: Mark append/insertion
    vector symbols as Wayland-specific.
  * debian/rules: Drop unprefixed game manpages.  (Closes: #1104139.)
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 25 Apr 2025 18:17:31 -0400

fltk1.4 (1.4.3~20250423+82d5679f9cf1-1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/control: Add xauth and xvfb to Build-Depends-Indep for xvfb-run.
  * debian/fltk1.4-doc.doc-base: Adjust description to note Fluid doc split.
  * debian/fltk1.4-doc.doc-base.fluid: New.
  * debian/libfltk(-gl)1.4.symbols(.[no-]wayland): Account for symbol
    differences when building without Wayland, i.e. on the Hurd.
    (Other non-Linux architectures would be in the same boat, but are off
    the radar.)
  * debian/rules: Build and install Fluid's HTML and PDF documentation
    when covering architecture-independent packages; build them under
    xvfb-run to allow for screenshot inclusion.
  * fluid/documentation/CMakeLists.txt: Adjust detailed Fluid
    documentation's installation location; install it as part of
    fltk1.4-doc for now.  (It'll get a dedicated package post-Trixie.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 23 Apr 2025 22:13:06 -0400

fltk1.4 (1.4.3~20250421+8ac2a9956-2) experimental; urgency=medium

  * debian/control: Limit libdecor build-deps to Linux too.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 22 Apr 2025 22:55:10 -0400

fltk1.4 (1.4.3~20250421+8ac2a9956-1) experimental; urgency=medium

  * New upstream release, mostly featuring build system changes, largely
    superseding the active parts of Debian's patch (which still formally
    retains changes to the traditional build system).
  * debian/control:
    - Build-depend on fluid (>= 1.4) when cross-compiling. (Closes: #1103807.)
    - Limit Wayland build dependencies to Linux per their availability.
    - libfltk1.4-dev: Stop suggesting libcairo2-dev now that it's a full
      dependency.  (See #1102961.)
  * debian/copyright: Pull out LGPL-2+ with static linking exception.
  * debian/rules: Update for new release:
    - Stop setting LD_LIBRARY_PATH now that the build uses a version of
      the fluid tool that links statically against FLTK.
    - Install fully dynamically linked versions of tools.
    - Move games from debian/tmp/usr/bin rather than copying them directly
      from under obj-*.
    - Install glpuzzle.man as flpuzzle.6 with appropriate substitutions.
    - Adjust override_dh_auto_install-indep's logic to wipe out all of
      debian/tmp/usr/bin but run at all only in the absence of
      .../usr/bin/fluid.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 22 Apr 2025 22:10:52 -0400

fltk1.4 (1.4.2-7) unstable; urgency=high

  * debian/control: Have libfltk1.4-dev depend on libcairo2-dev for the
    sake of cairo.h.  (Closes: #1102691.)
  * debian/rules: Fix libfltk1.4-dev coinstallability by cleaning up
    FLTKConfigVersion.cmake too and actually installing cleaned .cmake
    files.  (Closes: #1102706.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 12 Apr 2025 22:39:09 -0400

fltk1.4 (1.4.2-6) unstable; urgency=high

  * debian/control: Explicitly account for libfltk*-compat-headers'
    overlap.  (Closes: #1102681.)
  * debian/libfltk1.4.symbols: Correctly account for m68k template
    differences.  (Fix a typo and add a conditional alternative symbol.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 11 Apr 2025 18:25:38 -0400

fltk1.4 (1.4.2-5) unstable; urgency=high

  * debian/libfltk1.4.symbols: Exclude from m68k one template symbol that
    came along for the ride everywhere else.
  * debian/libfltk1.4.symbols.32-bit: Correct multiple negation syntax,
    unbreaking i386 builds.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 11 Apr 2025 07:46:47 -0400

fltk1.4 (1.4.2-4) unstable; urgency=high

  * debian/libfltk1.4.symbols*: Account for 64-bit time_t transition.
    Some symbols vary slightly on 32-bit non-i386 architectures.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 10 Apr 2025 23:46:58 -0400

fltk1.4 (1.4.2-3) unstable; urgency=high

  * debian/control: Belatedly move cmake to main Build-Depends (from -Arch).
  * debian/libfltk1.4.symbols*: Correct type for arm* va_list: it's
    std::__va_list, not just __va_list.
  * debian/rules: Satisfy dh_missing in indep-only builds too -- there are
    no compressed manpages to indicate the uncompressed ones to ignore, so
    just ignore them all.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 10 Apr 2025 23:28:46 -0400

fltk1.4 (1.4.2-2) unstable; urgency=high

  * Upload to unstable, urgency high to squeak into Trixie.
  * debian/control: Add libdecor-0-plugin-1-gtk to Build-Depends-Arch to
    ensure use of system libdecor.
  * debian/copyright: Substitute a URL for the FSF's postal address.
    (See #1080497.)
  * debian/libfltk1.4.symbols*: Properly account for va_list types.  With
    ports in the picture, there are five(!) possibilities, each of which
    can occur in both 32- and 64-bit flavors.  Map architectures to
    types on the basis of other packages' pkgkde-symbols-helper runs.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 10 Apr 2025 21:51:42 -0400

fltk1.4 (1.4.2-1) experimental; urgency=medium

  * New upstream minor release, with a forked source package.
    (Closes: #1099996.)
  * debian/*: Substitute 1.4 for 1.3, including in filenames.
  * debian/*.symbols*: Fully reset, imposing specific version requirements
    only on post-1.4.0 symbols.
    - Stop worrying about long ago compiler upgrades, but do continue
      to count symbols absent under Clang or LTO as optional.
    - Account for architecture variation, provisionally treating i386 and
      amd64 as representative of all 32- and 64-bit architectures
      respectively.
  * debian/libfltk1.4.symbols(.*-bit-only): Add symbols from enabling
    (limited) standard C++ library integration.
  * debian/FLTK-Targets-none-tail.cmake: Prefix fluid with fltk::.
  * debian/control:
    - Add build dependencies needed for the new Wayland backend:
      libdbus-1-dev, libdecor-0-dev (>= 0.2.0) | libgtk-3-dev, libegl-dev,
      libglew-dev, libpango1.0-dev, libwayland-dev, libxkb-common-dev, and
      wayland-protocols.  (With some debian/rules changes, closes: #984620.)
    - fltk1.4-games additionally conflicts/replaces fltk1.3-games and
      mentions flpuzzle, whose needs are relegated to Recommends.
    - Add a new fltk-options binary package, which libfltk1.4 suggests.
      (Its contents are small, but folding it in would break multiarch
      support.)
    - Substitute pkgconf for transitional pkg-config.
  * debian/copyright: Update, courtesy of Dima Kogan.
  * debian/fix-fltk-config: New, because the traditional one-liner doesn't
    cut it with the CMake build system.
  * debian/fix-fltk-targets:
    - Account for modern fltk::* target names (including for executables)
      and for suffix changes (-shared/-static rather than _SHARED/_STATIC).
    - Clean up stray new references to (system) library directories.
  * debian/fltk-options.*: Populate new fltk-options package.
  * debian/fltk1.4-doc.docs: Drop in favor of CMake PDF installation.
  * debian/fltk1.4-doc.examples: Copy relevant portions of (obj-*/)test.
  * debian/fltk1.4-doc.install: Let CMake install HTML.
  * debian/libfltk*1.4.install: Accommodate paths that include patchlevels.
  * debian/libfltk1.4-compat-headers.install: Don't expect
    fl_file_chooser.h under CMake.
  * debian/libfltk1.4-{compat-headers,dev}.install: Account for .h header
    additions and removals.  (Most headers have capital .H extensions and
    as such automatically go to libfltk1.4-dev.)
  * debian/libfltk1.4-{compat-headers,dev}.links: Make explicit
    fl_file_chooser.{h,H} symlinks.
  * debian/libfltk1.4-dev.install: Move CMake support files from
    /usr/lib/fltk to /usr/share/fltk, where FLTK's CMake build system
    puts them.  They're already necessarily architecture-independent to
    allow for multiarch coinstallability.  Retain our ersatz
    CMakeCache.txt even under CMake; the full version is
    architecture-dependent.
  * debian/libfltk1.4-dev.lintian-overrides: Update accordingly.
  * debian/libfltk1.4.docs: Delete (no more known-bugs list to install).
  * debian/rules:
    - Accommodate name changes (.txt extension additions) to upstream
      documentation files installed into all binary packages.
    - When sanity-checking the postprocessed FLTK-Targets-none,cmake, look
      for [_cmake_import_]check_targets rather than add_*, no longer
      present in raw output either.
    - Replace old CMake OPTION_* settings with current equivalents:
      FLTK_OPTION_CAIRO_EXT, FLTK_BUILD_SHARED_LIBS, and FLTK_INSTALL_LINKS.
    - Build and install fltk-options.
    - Formally prepare to use CMake for the actual build: move XCFLAGS
      up, supply CMakeTmp via a new cmake_out macro, and install CMake
      support files to /usr/share/fltk rather than /usr/lib/fltk.
    - Drop anything specific to the traditional build system.
    - Explicitly define CP936 and -fvisibility-inlines-hidden for lack of
      corresponding CMake build system options.
    - Set DEB_C(XX)FLAGS_MAINT_APPEND from XCFLAGS.
    - Change cmake_out to obj-$(DEB_HOST_GNU_TYPE).
    - Set LD_LIBRARY_PATH for the sake of dynamically linked local fluid.
    - Explicitly suppress dh_autoreconf(_clean) and
      dh_update_autotools_config.
    - Ensure fix-fltk-config's executability too.
    - Set FLTK_INSTALL_{HTML,PDF}_DOCS, CMAKE_SKIP_RPATH, and (for now)
      CMAKE_HAVE_THREADS_LIBRARY; however, set FLTK_INSTALL_* only when
      building architecture-independent packages.
    - Invoke CMake's docs target for documentation.
    - Copy games from under $(cmake_out).
    - Postprocess fltk-config with fix-fltk-config.
    - Clean up duplicate uncompressed man pages.
    - Enable (limited) standard C++ library integration.
    - Install glpuzzle (a Klotski implementation), as flpuzzle, relegating
      anything only it needs to Recommends.  (Installation suggested by
      upstream developer Albrecht Schlosser.)
  * debian/.gitignore: Add fltk-options.
  * documentation/CMakeLists.txt:
    - Set timestamp values, including a new TODAY, via CMake's
      SOURCE_DATE_EPOCH-honoring builtin.
    - Adjust installation destinations.
  * documentation/{Makefile,src/fltk-title.tex.in}: Uniformly use @...@
    for substitutions for CMake compatibility; specifically, change \today
    to @TODAY@.
  * documentation/make_pdf: Consult SOURCE_DATE_EPOCH directly.
  * fltk-config.in: Drop added sed calls in favor of fix-fltk-config.
  * {fltk-options,fluid}/CMakeLists.txt: Link to shared FLTK libraries.
  * fltk-options/Makefile: Install modern MIME XML metadata rather than a
    legacy mimelnk .desktop file that doesn't even exist.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 31 Mar 2025 22:06:02 -0400

fltk1.3 (1.3.8-6) unstable; urgency=medium

  * debian/FLTK-Targets-none-tail.cmake: Properly honor FLTK_SKIP_FLUID
    when built with CMake 3.24+, which uses _cmake_import_check_targets
    rather than _IMPORT_CHECK_TARGETS.  (Closes: #1028165.)
  * Standards-Version: 4.6.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 15 Nov 2023 21:05:08 -0500

fltk1.3 (1.3.8-5) unstable; urgency=medium

  * debian/fix-fltk-targets: Report command lines, which are now dynamic.
    (See debian/rules changes below.)
  * debian/libfltk*.symbols*: Accommodate LTO builds, which drop some
    symbols (none of which anything in the archive uses AFAICT).
    Specifically, pull out libfltk*.symbols.no-lto files and include them
    with the "(optional)" tag.  (Closes: #1015406.)
  * debian/**lintian-overrides: Add wildcards to accommodate pointed hints.
  * debian/rules:
    - Unhardcode path to stock FLTK-Targets(-none).cmake.
      Per https://gitlab.kitware.com/cmake/cmake/-/issues/23883,
      CMakeTmp/CMakeFiles/Export's subdirectory names are hexadecimal MD5
      hash values as of CMake 3.24; automatic detection allows backports
      to keep working and accommodates possible future layout changes.
      (Closes: #1017271.)
    - Inventory the final FLTK-Targets(-none).cmake files' add_* calls,
      automatically catching blatant problems and making some potential
      others immediately visible in build logs.
  * documentation/Makefile: Use English ("C") month names for PDF date.
    (Closes: #1017421.)
  * Standards-Version: 4.6.1 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 07 Sep 2022 23:16:48 -0400

fltk1.3 (1.3.8-4) unstable; urgency=medium

  * debian/copyright: Update years and png authors.  (NB: Debian still
    doesn't use that tree, or FLTK's other convenience library copies.)
  * CMake/UseFLTK.cmake.in: Drop include_directories setting, which has
    never been useful for package builds.  It historically wound up
    listing the standard system directory /usr/include, and now lists the
    build directory and a subdirectory thereof, harming reproducibility
    and breaking multiarch coinstallability for libfltk1.3-dev.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 23 Jan 2022 20:24:56 -0500

fltk1.3 (1.3.8-3) unstable; urgency=medium

  * debian/rules: More fltk-config handling cleanups, now fixing builds
    covering only architecture-independent binary packages.
    - Remove debian/tmp/usr/bin/fltk-config from
      override_dh_auto_install-indep, not just ...-arch.
    - Retire override_dh_install-arch, now superfluous even in full builds.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 16 Jan 2022 20:43:41 -0500

fltk1.3 (1.3.8-2) unstable; urgency=medium

  * debian/rules: Don't count on debian/tmp/usr/bin/fltk-config.  In
    particular, in builds that cover only architecture-dependent binary
    packages, override_dh_auto_install-indep won't recreate the file
    between override_dh_auto_install-arch and override_dh_install-arch.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 15 Jan 2022 23:33:09 -0500

fltk1.3 (1.3.8-1) unstable; urgency=medium

  [ Aaron M. Ucko ]
  * New upstream release.
  * debian/FLTK-Targets-head.cmake: New, to obtain DEB_HOST_MULTIARCH from
    dpkg-architecture.
  * debian/{FLTK-Targets-none-tail.cmake,fix-fltk-targets}: Split up
    fix-fltk-targets-none.
  * debian/control:
    - Have libfltk1.3-dev depend on dpkg-dev for dpkg-architecture.
    - Make libfltk1.3-dev multi-arch: same, as enabled by other changes in
      this Debian release.  (Closes: #1002579).
    - Stop worrying about Doxygen-unfriendly old texlive-latex-extra versions.
    - Standards-Version: 4.6.0 (already compliant).
  * debian/fix-fltk-targets: Substitute ${DEB_HOST_MULTIARCH} for the
    architecture-specific value.
  * debian/libfltk1.3.symbols: Add the one new symbol.
  * debian/rules:
    - Extend fix-fltk-targets to FLTK-Targets.cmake, just without the
      additional fragment.
    - For CMake, disable FLTK_BUILD_TEST rather than the deprecated
      OPTION_BUILD_EXAMPLES.
    - Supply a symlink to fltk-config's man page corresponding to its
      architecture-prefixed name.
    - Prepend FLTK-Targets-head.cmake to FLTK-Targets.cmake.
    - Ensure makeinclude always sets USEMMFILES (to No).
  * documentation/Makefile: Drop broken shell FLTK_VERSION setting.  (We
    already have and use a perfectly good makefile setting, whereas the
    shell setting derived from a file that changed names.)

  [ Dima Kogan ]
  * Arrange to install upstream's fltk-config with a GNU-tuple-prefixed
    name; substitute a wrapper that consults dpkg-architecture.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 15 Jan 2022 21:54:05 -0500

fltk1.3 (1.3.5-3) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * No tab in license text (routine-update)
  * watch file standard 4 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 06 Feb 2021 22:54:55 -0500

fltk1.3 (1.3.5-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field and debian/watch.
  * Set debhelper-compat version in Build-Depends.
  * Use AC_PATH_TOOL for upstream's manual PKGCONFIG setting.
    (PKG_PROG_PKG_CONFIG sets PKG_CONFIG instead.)
  * debian/libfltk1.3-dev.NEWS: Retire (gratuitous carryover from fltk1.1).
  * debian/fluid.NEWS: Keep, but reformat without leading asterisks.
  * Override notable Lintian false positives (fake CMakeCache.txt to satisfy
    FindFLTK.cmake, linkage of libc-independent libfltk_cairo.so.1.3).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 01 Nov 2020 21:50:55 -0500

fltk1.3 (1.3.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat: Advance to Debhelper 13.
  * debian/control:
    - Build-Depends: Advance minimum debhelper version to 13~ accordingly;
      swap transitional libgl1-mesa-dev package with formerly virtual
      libgl-dev package.
    - libfltk1.3-dev Recommends: Bypass libgl1-mesa-dev altogether.
    - Standards-Version: 4.5.0 (already compliant).
  * debian/copyright: Update years.
  * debian/fltk1.3-doc.lintian-overrides: Drop (thanks to #736360).
  * debian/libfltk1.3-compat-headers.install: Add new FL/platform.h.
  * debian/libfltk-gl1.3.symbols: Add the one new symbol.
  * debian/rules: Retire configure.saved business, no longer needed AFAICT.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 23 Jun 2020 19:52:06 -0400

fltk1.3 (1.3.4-10) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Explicitly install CHANGES file, to avoid confusion
    and build failures when debhelper doesn't install changelogs
    by default (e.g. Ubuntu).  (MR: !1.)

  [ Aaron M. Ucko ]
  * debian/compat: Advance to Debhelper 12, notably yielding DWZ-compressed
    symbols and fully uncompressed examples.
  * debian/control:
     - Advance minimum debhelper version to 12~ accordingly.
     - Standards-Version: 4.4.1 (already compliant).
  * debian/fltk1.3-doc.docs: Take over coverage of fltk.pdf (available
    nowadays with the correct name and freshly generated contents).
  * debian/fltk1.3-doc.install: Take over coverage of HTML docs.
  * debian/rules:
    - Stop running "make install" in documentation/ to avoid populating
      debian/tmp/usr/share/man with uncompressed man and cat(!)  pages
      (about which dh_missing otherwise now complains); also stop
      explicitly (re)installing fltk.pdf.
    - Explicitly ignore usr/include/Fl (deliberately dropped, even in
      libfltk1.3-compat-headers) to address one last dh_missing complaint.
    - Stop explicitly running dh_makeshlibs -V, redundant as of DH 12.
  * documentation/make_pdf: Loosen caption de-hyperlinking to
    accommodate (but not require) interposed mboxes, as produced by Doxygen
    1.8.16 (currently in experimental).
  * documentation/src/fltk-book.tex.in: Explicitly \usepackage{ifthen} for
    the sake of several constructs in doxygen.sty, which has just a
    commented-out \RequirePackage call for it as of 1.8.16.  (Together with
    the above, closes: #943426.)
  * test/Makefile: Link FLTK libraries dynamically, notably for games.
    (Done years ago for 1.1, but accidentally missed for 1.3.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 26 Oct 2019 22:16:56 -0400

fltk1.3 (1.3.4-9) unstable; urgency=medium

  * d/control: Tighten B-D-I on texlive-latex-extra to definitively avoid
    #920459, which accidentally recurred in one release.  (See #921294.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 27 Feb 2019 21:21:30 -0500

fltk1.3 (1.3.4-8) unstable; urgency=medium

  * configure: Revert local changes in favor of using dh_autoreconf.
  * configure.ac: Use (PKG_PROG_)PKG_CONFIG per Helmut Grohne.
  * debian/*-none*: Formally renamed from debian/*-noconfig* and tweaked
    correspondingly to account for running cmake via dh_auto_configure,
    which supplies -DCMAKE_BUILD_TYPE=None.
  * debian/control:
    - Add a versioned Build-Depends-Indep entry for texlive-latex-extra to
      avoid (long)tabu lossage from #920459.  (Closes: #921294.)
    - Standards-Version: 4.3.0 (fully compliant at this point).
  * debian/rules:
    - Allow (dh_)autoreconf after all, albeit with autoheader suppressed.
    - Run cmake via dh_auto_configure per Helmut Grohne's suggestion;
      account for formal side effects of gaining -DCMAKE_BUILD_TYPE=None.
    - Use /usr/share/dpkg/{architecture,buildflags}.mk instead of calling
      dpkg-{architecture,buildflags} directly (and piecemeal).
    - Specify a host-specific pkg-config per Helmut Grohne, both in FTCONFIG
      and in the environment.  (Together with the configure.ac change,
      closes: #900190.)
    - Strip all -f*-prefix-map=* flags from fltk-config.  (See #909078.)
    - override_dh_installchangelogs: Install CHANGES as NEWS(.gz), not
      changelog(.gz).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 26 Feb 2019 20:30:37 -0500

fltk1.3 (1.3.4-7) unstable; urgency=medium

  * debian/compat: Advance to 11.
  * debian/control:
    - Advance debhelper Build-Depends version constraint to (>= 11~).
    - Rules-Requires-Root: no (confirmed not to affect binary packages).
    - Vcs-{Browser,Git}: Move to salsa.debian.org.
    - Standards-Version: 4.1.3 (already compliant).
  * CMake/FLTKConfig.cmake.in: Never redeclare fluid, which
    FLTK-Targets.cmake already declares.  (Closes: #892979.)
  * debian/rules:
    - Address FTCBFS, based on a patch from Helmut Grohne
      for fltk1.1 (see #887636).
      + Avoid configuring during clean.
      + Do not pass build architecture compiler to cmake or configure.
      + In arch-only builds, limit coverage of test/ to the three targets we
        specifically need for fltk1.1-games.  (Many of the others involve
        trying to run freshly built fluid.)
    - Pass "/usr/bin/pkg-config freetype2" off as FTCONFIG (in lieu of
      freetype-config, which is now deprecated) (see #892341).
    - Set DEB_BUILD_MAINT_OPTIONS more readably.
    - Use ?= for DEB_HOST_(MULTI)ARCH.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 15 Mar 2018 22:20:20 -0400

fltk1.3 (1.3.4-6) unstable; urgency=medium

  * debian/fix-fltk-targets-noconfig: Correct overzealous escaping that led
    to doubled multiarch paths for some settings.  (Closes: #871508.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 08 Aug 2017 14:06:54 -0400

fltk1.3 (1.3.4-5) unstable; urgency=medium

  * debian/{compat,control}: Advance to Debhelper 10.
  * debian/fix-fltk-targets-noconfig: Escape some left braces meant to be
    taken literally, for compatibility with Perl 5.26.  (Closes: #871059.)
  * debian/rules:
    - Run dh --without autoreconf.  FLTK uses a hand-maintained configh.in
      and an autoheader-unfriendly configure.ac, breaking autoreconf
      (which runs by default as of compat 10).
    - Implement nodoc support, required as of Policy 4.0.0.
  * Standards-Version: 4.0.1 (now compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 06 Aug 2017 23:06:46 -0400

fltk1.3 (1.3.4-4) unstable; urgency=medium

  * debian/control: Build-depend on libxcursor-dev.  (Closes: #855863.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 22 Feb 2017 22:28:48 -0500

fltk1.3 (1.3.4-3) unstable; urgency=medium

  * debian/fix-fltk-targets-noconfig: Append logic to refrain from
    enforcing the existence of fluid in FLTK_SKIP_FLUID mode, based
    on a suggestion from Gianfranco Costamagna <locutusofborg@d.o>.
    (Closes: #855040.)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 13 Feb 2017 22:26:35 -0500

fltk1.3 (1.3.4-2) unstable; urgency=medium

  * debian/fix-fltk-targets-noconfig: Update for current CMake output
    per Javier Serrano Polo <javier@jasp.net>.  (Closes: #852276.)
  * debian/rules: Handle interruptions better wrt fltk.spec and CMakeTmp,
    also per Javier Serrano Polo <javier@jasp.net>.  (Closes: #852279.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 24 Jan 2017 22:22:47 -0500

fltk1.3 (1.3.4-1) unstable; urgency=medium

  * New upstream release (technically 1.3.4-1, since upstream replaced the
    original 1.3.4 release with a respin featuring improved Visual Studio
    solution files and a slightly altered version number).
  * KNOWN_BUGS.html: Comment out privacy-violating favicon link.
  * debian/control:
    - Retire explicit libfltk1.3-dbg package in favor of automatic -dbgsym
      packages.
    - Canonicalize with the help of cme fix.  In particular, declare
      Standards-Version: 3.9.8 (already compliant, not that cme checked).
  * debian/copyright: Reflect current reality.
    - HTTPS copyright-format URL.
    - Real source URL (http-only, alas).
    - Update copyright details for FLTK and (unused) convenience libraries.
  * debian/fluid.install, fluid/Makefile: /usr/share/mime/packages/fluid.xml
    has superseded /usr/share/mimelnk/application/x-fluid.desktop.
  * debian/libfltk1.3-dev.install: +/usr/include/FL/abi-version.h.
  * debian/libfltk1.3(-dev).docs: Install new documentation files:
    KNOWN_BUGS.html (and auxiliary html directory) to libfltk1.3,
    README.abi-version.txt to libfltk1.3-dev.
  * debian/libfltk1.3.symbols: Update per new release.  A few symbols changed,
    but all were private.
  * debian/rules:
    - Reflect current exported CMake configuration --
      FLTK-Targets(-noconfig).cmake now wind up in .../share/fltk (though
      libfltk1.3-dev continues to install all .cmake files to /usr/lib/fltk),
      and there's a new static FLTK-Functions.cmake.
    - Actually place common-build-stamp in debian/.
    - Drop the fltk-config.unhardened business, which proved insufficient.
      (Do, however, postprocess fltk-config to avoid emitting the
      -fdebug-prefix-map=... flag intended to *improve* reproducibility!)
    - Configure --with-optim=... so fltk-config --optim won't claim -Os.
    - Stop collecting debug symbols in an explicit libfltk1.3-dbg package.
  * debian/watch: Accommodate upstream version suffixes like -1.
  * debian/.gitignore: Drop libfltk1.3-dbg.
  * documentation/Makefile: Use date -u for full reproducibility.
  * fltk-config.in: Filter out -D*, -f*, and -W*, not just -g* and -O* (but
    leave --optim output alone for reference.)  (Closes: #828081.)
  * .gitignore: Drop fltk-config.unhardened.
  * Sourceful upload resynchronizes all architectures.  (Closes: #850924.)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 16 Jan 2017 18:24:28 -0500

fltk1.3 (1.3.3-8) unstable; urgency=high

  * debian/rules: Make sure to install HTML docs in indep-only builds.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 20 Feb 2016 19:46:53 -0500

fltk1.3 (1.3.3-7) unstable; urgency=medium

  * debian/control: Drop versioned dpkg-dev build dependency, as even
    oldstable's version is sufficient.  (Closes: #811298.)
  * debian/copyright: Correct short license name for png/* (not built anyway).
  * debian/rules: Fix indep-only (-A) builds.  (Closes: #814434.)
  * debian/.gitignore: Ignore new {common,debhelper}-build-stamp files.
  * documentation/Makefile: Postprocess Doxygen LaTeX output to avoid
    breakage from attempting to use \hyperlink within \caption.
  * documentation/src/fltk-book.tex.in: Drop an occurrence of \\ that has
    become invalid with Doxygen 1.8.11.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 14 Feb 2016 22:51:01 -0500

fltk1.3 (1.3.3-6) unstable; urgency=medium

  * debian/control: Drop build dependency on imagemagick entirely.
  * debian/install: Stop installing XPM icons.
  * debian/rules:
    - Reinstate unhardened fltk-config more robustly.
      (Closes: #809711, #809825.)
    - Stop generating XPM icons, needed only for the retired .menu entries.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 04 Jan 2016 22:48:42 -0500

fltk1.3 (1.3.3-5) unstable; urgency=medium

  * debian/control: Split some build dependencies out into Build-Depends-Arch.
  * debian/rules:
    - Streamline indep-only (-A) builds to the extent possible (limited by the
      need to build and run fluid for the sake of some installed examples).
    - Invoke cmake -DOPTION_BUILD_EXAMPLES:BOOL=OFF to work around #809535.
  * debian/source/options: Rename back from local-options, per dgit.
  * debian/.gitignore: Unignore patches, per dgit.
  * debian/*.menu: Retire in favor of .desktop files, per #741573.
  * documentation/Makefile: Use the changelog date throughout, per
    https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
    plus an additional tweak to address the use of \today.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 31 Dec 2015 16:19:03 -0500

fltk1.3 (1.3.3-4) unstable; urgency=medium

  * debian/control:
    - Revert temporary dependency additions for #793517.
    - Standards-Version: 3.9.6.  (Already compliant.)
  * debian/copyright: Factor out SGI-OpenGL license text.
  * debian/fix-fltk-targets-noconfig: New script, to make
    FLTK-Targets-noconfig.cmake fully sane.
  * debian/rules:
    - Use fix-fltk-targets-noconfig, as the previous inline
      logic proved insufficient.  (Closes: #793517.)
    - Set DEB_HOST_MULTIARCH more efficiently (via :=).

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 17 Aug 2015 14:22:08 -0400

fltk1.3 (1.3.3-3) unstable; urgency=medium

  * CMake/FLTKConfig.cmake.in: Include UseFLTK.cmake, which is responsible for
    defining FLTK_FLUID_EXECUTABLE.  (Works around cmake-data bug #793549.)
  * debian/control (libfltk1.3-dev): Temporarily upgrade all recommendations
    and suggestions other than fltk1.3-doc to full dependencies, because cmake
    may well try to link against all of them.  (See fgrun bug #793517.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 07 Aug 2015 18:12:49 -0400

fltk1.3 (1.3.3-2) unstable; urgency=medium

  * debian/rules: When postprocessing FLTK-Targets-noconfig.cmake, make
    sure it cites libfltk*.so rather than libfltk*.so.1.3.x, which the
    traditional build system doesn't produce.  (Closes: #792386.)
  * debian/*.symbols*: Split symbols (inline destructors) that GCC 5
    doesn't emit into *.symbols.no-gcc5, included as optional.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 15 Jul 2015 01:24:19 -0400

fltk1.3 (1.3.3-1) unstable; urgency=medium

  * New upstream release.  (Closes: #791346.)
  * debian/*.cmake(.in): Stop trying to maintain.
  * debian/*.symbols: Update for 1.3.3.  FTR, some symbols have vanished,
    but all turned out to be inline, internal, private, or some
    combination, so their disappearance should be no problem in practice.
  * debian/control:
    - Build-Depends: cmake.
    - Vcs-*: Modernize; cite anonscm.d.o and cgit.
  * debian/copyright: Update years and list of primary developers.
  * debian/libfltk1.3-dev.install: No more (usr/include/)FL/Xutf8.h.
  * debian/rules:
    - Clean up new generated file documentation/doxygen_sqlite3.db.
    - Run cmake within a temporary directory to generate
      /usr/lib/fltk/*.cmake (modulo formal multiarch adjustments).
    - Link with -Wl,--as-needed to avoid the need to trim library lists
      explicitly.
    - Stop trimming CAIROLIBS.
  * Revert upstream changes (mostly to library lists) that have become
    superfluous; this package now has no changes to actual C++ files, and
    only a few to other files.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 11 Jul 2015 23:57:23 -0400

fltk1.3 (1.3.2-6) unstable; urgency=medium

  * debian/*.symbols*: Move previously mandatory symbols Clang 3.4
    doesn't emit to debian/*.symbols.no-clang.
  * documentation/src/fltk-book.tex: Update for current Doxygen and
    TeXLive versions, to avoid "Undefined control sequence" errors and a
    missing /usr/share/doc/fltk1.3-doc/fltk.pdf.gz.
  * fluid/Fl_Type.h: Give ::make_type_browser a non-friend declaration
    because it has a default argument.  (Closes: #755229.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 24 Jul 2014 00:29:30 -0400

fltk1.3 (1.3.2-5) unstable; urgency=medium

  * debian/*.symbols*: Move the few symbols GCC 4.9 doesn't emit into
    libfltk1.3.symbols.no-gcc49 and libfltk-gl1.3.symbols.no-gcc49,
    included as optional.  FWIW, half of them were already optional
    because Clang doesn't emit them either.  (Closes: #746845.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 13 May 2014 22:19:52 -0400

fltk1.3 (1.3.2-4) unstable; urgency=medium

  * debian/*.symbols*:
    - Update for current GCC version range -- fold in assumptions of
      having at least version 4.6.x (already true as of wheezy), and mark
      symbols specific to builds with version 4.8.x as optional.
    - Move more symbols (mostly destructor variants) Clang 3.3 doesn't
      emit into libfltk*1.3.symbols.no-clang; tag them as optional.
  * src/Fl_x.cxx (Fl_X::make_xid): Use Fl_Window::fullscreen_active rather
    than relying on a flag value Clang now (rightly) marks as inaccessible.
  * Standards-Version: 3.9.5 (already compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 19 Jan 2014 17:53:57 -0500

fltk1.3 (1.3.2-3) unstable; urgency=low

  * fltk-config.in: Fix --ldflags output to reinstate -lX11 (to account for
    potential calls to XCreatePixmap via the fl_create_offscreen macro) and to
    omit the explicit -L flag, as the script's automatic filtering of standard
    directories doesn't account for multiarch paths.  (Closes: #713933.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 27 Jun 2013 21:47:17 -0400

fltk1.3 (1.3.2-2) unstable; urgency=low

  * debian/rules: Preserve pregenerated upstream fltk.spec around calls to
    dh_auto_clean and dh_auto_configure to simplify version control.
  * Standards-Version: 3.9.4 (already compliant, modulo Doxygen bug #630982).
  * Retarget unstable now that Wheezy is out.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 07 May 2013 22:33:07 -0400

fltk1.3 (1.3.2-1) experimental; urgency=low

  * New upstream release.
  * debian/libfltk1.3.symbols: Update accordingly.
  * Merge Gecko DnD fix from 1.3.0-9, detailed below.  (Closes: #699860.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 21 Feb 2013 23:16:15 -0500

fltk1.3 (1.3.1-1) experimental; urgency=low

  * New upstream release; uploading to experimental per Wheezy freeze.
  * debian/libfltk1.3.symbols: Update accordingly.
  * debian/copyright: Update years, both for FLTK proper and for the
    (unused) convenience copy of libpng.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 12 Nov 2012 14:30:21 -0500

fltk1.3 (1.3.0-9) unstable; urgency=low

  * src/Fl_x.cxx: fix drag and drop of selections from Mozilla Gecko apps
    (iceape/icedove/iceweasel in Debian).  (Closes: #699860.)
  * debian/libfltk1.3.symbols: account for the new symbol that fix added.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 21 Feb 2013 22:54:48 -0500

fltk1.3 (1.3.0-8) unstable; urgency=medium

  * debian/rules:
    - Keep hardening flags out of the installed fltk-config by adding an
      extra configure run with them disabled and using the resulting
      fltk-config.  (Closes: #677705.)
    - Explicitly use hardened CPPFLAGS.
  * .gitignore: add fltk-config.unhardened.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 18 Jun 2012 21:43:53 -0400

fltk1.3 (1.3.0-7) unstable; urgency=low

  * {cairo,src}/Makefile: substitute -fPIC for -fPIE in C(XX)FLAGS.
  * debian/rules:
    - Enable full hardening.
    - Pass hardened LDFLAGS to configure as DSOFLAGS too.  (Closes: #663276.)
  * debian/source/options: rename to (git-only) local-options, so any
    source patches from NMUs will wind up in separate files.
  * test/Makefile: link the threads demo with LDFLAGS, not CXXFLAGS!

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 15 Mar 2012 21:48:05 -0400

fltk1.3 (1.3.0-6) unstable; urgency=low

  * debian/control:
    - Wrap and sort (build) dependencies.
    - Substitute libpng-dev for libpng12(-0)-dev.  (Closes: #662329.)
    - Drop ancient version on libfltk1.3-dev's libxft-dev suggestion.
    - Require debhelper (>= 9), which has been final for some time.
    - Standards-Version: 3.9.3.  (No changes needed.)
  * debian/copyright: update to copyright-format 1.0.
  * debian/libfltk1.3-dev.install: sort as well.
  * debian/libfltk1.3.symbols(.gcc46): split symbols clang 3.0 doesn't emit
    into a .no-clang file, and make them optional.
  * debian/libfltk1.3-{forms,gl,images}.symbols: likewise make
    .symbols.gcc46 contents optional everywhere.  (The lists exactly match.)
  * src/Fl_x.cxx: apply upstream's clang compatibility patch (r9192, per
    http://www.fltk.org/str.php?L2779).

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 07 Mar 2012 23:23:33 -0500

fltk1.3 (1.3.0-5) unstable; urgency=low

  * debian/control: Correct g++ build dependency epoch, yielding (>= 4:4.6).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 17 Jul 2011 10:43:44 -0400

fltk1.3 (1.3.0-4) unstable; urgency=low

  * debian/control: Build-depend on g++ (>= 1:4.6), now available everywhere.
  * debian/*.symbols: Use *.symbols.gcc46 on all architectures.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 16 Jul 2011 22:58:57 -0400

fltk1.3 (1.3.0-3) unstable; urgency=low

  * debian/fluid.NEWS: Clean up extra close braces that accidentally slipped in.
  * debian/control:
    - Clean up a stray newline in libfltk1.3-dbg's description.
    - Belatedly add texlive-font-utils to Build-Depends-Indep for epstopdf.
  * Upload to unstable.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 16 Jul 2011 22:18:04 -0400

fltk1.3 (1.3.0-2) experimental; urgency=low

  * debian/*.symbols:
    - Clean up stray ~gcc44 version suffixes.
    - Properly mark symbols specific to builds with GCC 4.6 (the default
      on most platforms nowadays) or 4.4 (still default on ia64 and sparc),
      with the help of new debian/*.symbols.gcc{44,46} files.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 07 Jul 2011 23:37:44 -0400

fltk1.3 (1.3.0-1) experimental; urgency=low

  * New upstream release; no longer a snapshot, but still uploaded to
    experimental for now because fluid 1.3 will require formal changes to
    some .fl files per http://www.fltk.org/str.php?L2259.
  * debian/*.symbols: Update accordingly, eliding detailed history.
    (Treat unversioned dependencies as sufficient for symbols present as
    of the first snapshot that entered Debian in early October, and
    nominally require 1.3.0 for anything introduced afterwards.)
  * debian/rules: Configure --with-links, which is no longer the default,
    but remains necessary for libfltk1.3-compat-headers.
  * debian/control:
    - Simplify Build-Depends-Indep to doxygen-latex.
    - Prepare for the libjpeg 8 transition by build-depending on, and
      having libfltk1.3-dev suggest, the virtual libjpeg-dev package.
    - Declare Standards-Version: 3.9.2.  (Already compliant.)
  * debian/fltk1.3-doc.lintian-overrides (new): tolerate Doxygen-supplied
    jquery.js per #630982.
  * debian/copyright: Update years.
  * debian/watch: Resteer to official releases, only available in .gz form.
  * .gitignore: Additionally ignore documentation/fltk.pdf.
  * Build for multiarch.
    - debian/FLTK{Config,Libraries-noconfig}.cmake: add .in extensions and
      un-hardcode the library directory.
    - debian/compat: Advance to 9.
    - debian/control: Advance build dependency on debhelper to (>= 8.1.3).
      Add Multi-Arch: same and Pre-Depends: ${misc:Pre-Depends} for
      libfltk*1.3 and Multi-Arch: foreign for fluid, libfltk1.3-compat-headers,
      fltk1.3-doc, and fltk1.3-games (likely overkill in some cases).
    - debian/libfltk*1.3*.install: Match multi-arch paths.
    - debian/rules: Pass a multi-arch libdir to configure, and substitute it
      in *.cmake.in (which however remain in /usr/lib/fltk for now).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 03 Jul 2011 23:47:09 -0400

fltk1.3 (1.3~r8114-1) experimental; urgency=low

  * New upstream snapshot.
  * debian/libfltk{,-gl}1.3.symbols: update to reflect recent changes.
  * debian/libfltk1.3-dev.docs: update per upstream README.* reorganization.
  * debian/FLTKConfig.cmake: belatedly set FLTK_CAIRO_FOUND to TRUE.
  * debian/FLTKLibraries-noconfig.cmake: trim stated dependencies,
    particularly for shared libraries.
  * debian/control: promote some suggestions to recommendations:
    - fluid -> fltk1.3-doc (for the help browser)
    - libfltk1.3-dev -> fluid (few users entirely hand-craft UIs)
    - libfltk1.3-dev -> libglu1-mesa-dev | libgl-dev (for <FL/glu.h>)
  * Thanks to Yuri D'Elia for suggesting that I review the above three files.
  * src/fl_font_xft.cxx: revert XFT->core name mapping, which upstream has
    implemented in a slightly different fashion.
  * debian/rules: enable "CP936" (GBK) CJK encoding support.
  * debian/fluid.lintian-overrides: retire per upstream fluid.desktop
    simplification.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 24 Dec 2010 14:58:54 -0500

fltk1.3 (1.3~r7794-1) experimental; urgency=low

  * New upstream snapshot.
  * debian/watch: belatedly update for the 1.3 branch and snapshots thereof.
  * debian/copyright: convert to machine-readable DEP-5 format and note that
    licensing isn't entirely uniform (but that most exceptions pertain to
    convenience copies of libraries that Debian builds refrain from using).
  * debian/libfltk1.3.symbols: update to reflect recent changes.
  * src/fl_font_xft.cxx (load_xfont_for_xft2): map the usual XFT aliases
    to corresponding typical core font family names, as proposed in
    http://www.fltk.org/str.php?L2215.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 10 Nov 2010 22:23:04 -0500

fltk1.3 (1.3~r7710-1) experimental; urgency=low

  * New upstream source base, from the UTF-8-based 1.3 branch.
    (Closes: #229702.)
  * Update per new SONAMEs (libfltk*.so.1.3).
  * Split shared libraries into individual packages.
  * Split compatibility header links into their own package, rather than
    (ab)using Debconf.  [Translators, sorry to discard your contributions.]
    (Closes: #196003, LP: #267486.)
  * debian/copyright:
    - Update list of major contributors per CREDITS.
    - Note extension of upstream copyright through 2010.
  * debian/compat: advance to 8, as it is safe to do so.
  * debian/control:
    - Advance debhelper requirement to (>= 8) per the above.
    - Advance dpkg-dev requirement to (>= 1.15.7) for dpkg-buildflags.
    - Generally clean up relationships; don't worry about anything pre-etch,
      and wildcard the build-dep on libasound2-dev to [linux-any].
    - Update B-D-I per switch from htmldoc to doxygen and LaTeX.
    - Build-depend on libcairo2-dev and pkg-config for (new) Cairo support;
      likewise, arrange for -dev package to suggest libcairo2-dev.
    - Set Vcs-* fields to point to (new) personal git.d.o repository.
    - Declare compatibility with Policy version 3.9.1.
  * debian/rules:
    - Obtain baseline {C,CXX,LD}FLAGS from dpkg-buildflags rather than
      relying on them to be in the environment courtesy of dpkg-buildpackage.
    - Stop passing -D_REENTRANT, which is not only obsolete but redundant.
    - Adjust (along with .docs, .doc-base, and .manpages files) for new
      documentation layout and build procedure.
    - Update (along with .cmake and -dev.links files), per new CMake setup
      (not directly used, but exposed via -dev package).
    - Drop redundant configure flags; add --enable-cairo and update .symbols
      file accordingly.  (Not using --enable-cairoext at this point; Cairo
      support remains experimental, and fully enabling it would yield a
      dependency cycle between libfltk.so.1.3 and libfltk_cairo.so.1.3.)
    - Set CAIROLIBS to just -lcairo; FLTK doesn't directly use libpixman-1.
  * cairo/Makefile:
    - Link shared libraries against $(CAIROLIBS).
    - Fix install target to make relative symlinks.
  * configure(.in): allow -ldl into LIBS after all, as libfltk now uses it.
  * debian/source/{format,options,patch-header}: advance to 3.0 (quilt),
    albeit in single-debian-patch mode per VCS use, for .orig.tar.bz2 support.
  * fluid/fluid.desktop: replace the Exec command (which used cd) with a Perl
    one-liner for compatibility with more desktop environments. (LP: #569518.)
  * debian/fluid.lintian-overrides: adjust accordingly.
  * debian/fluid.NEWS: new; note change in handling empty functions per
    http://www.fltk.org/str.php?L2259 and how to compensate for it.
  * fltk-config.in: strip -[gO]* from --c(xx)flags output. (LP: #606032.)
  * test/Makefile: link XDBE-using apps (color_chooser, image, list_visuals,
    and tiled_image) against -lXext for compatibility with gold.
  * debian/libfltk1.3-dev.docs: new; install README.{123,CMake_use,cairo}.
  * debian/fltk1.3-doc.examples: deploy new upstream examples subtree.
  * (debian/).gitignore: Direct git to ignore content generated during build.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 13 Oct 2010 21:54:52 -0400

fltk1.1 (1.1.10-2) unstable; urgency=low

  * src/Makefile: link libfltk.so.1.1 against -lpthread, as fluid now
    otherwise fails to link on the Hurd (with complaints that libfltk.so.1
    contains undefined references to pthread_mutexattr_*).
  * debian/source.lintian-overrides: retire per Lintian 2.3.1.  (See #553264.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 06 Jan 2010 22:05:04 -0500

fltk1.1 (1.1.10-1) unstable; urgency=low

  * New upstream release.
  * {fluid,test}/Makefile: link against all directly referenced libraries,
    even if they are also indirect dependencies, to fix build errors with
    binutils-gold, which defaults to --no-add-needed.  (Closes: #554365.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 30 Dec 2009 22:55:19 -0500

fltk1.1 (1.1.10~rc3-1) unstable; urgency=low

  * New upstream release candidate.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 02 Nov 2009 21:33:34 -0500

fltk1.1 (1.1.10~rc2-3) unstable; urgency=low

  * debian/FLTKConfig.cmake: belatedly advance FLTK_VERSION_PATCH to 10.
  * debian/{fluid,source}.lintian-overrides: override spurious Lintian
    diagnostics; fluid.desktop's command is legitimate, as is the
    artificial debian/CMakeCache.txt discussed in #553264.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 29 Oct 2009 23:20:55 -0400

fltk1.1 (1.1.10~rc2-2) unstable; urgency=low

  * debian/libfltk1.1.symbols: prepare for the GCC 4.4 transition by
    tagging three symbols (for inline methods) emitted *only* by GCC 4.3.x
    as optional.  (Closes: #551612; LP: #455418.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 22 Oct 2009 22:18:12 -0400

fltk1.1 (1.1.10~rc2-1) unstable; urgency=low

  * New upstream release candidate.
  * debian/copyright: extend date range through 2009.
  * fluid/*: revert i18n patch (#333401); although I still support the
    general idea, it proved problematic in practice.  (Translated strings
    weren't always properly isolated to the GUI, and the only translation
    wasn't actively maintained anyway.)
  * debian/fluid.install: update accordingly.  (No more fluid.mo.)
  * Update Spanish Debconf translation, thanks to Franciso Javier Cuadrado.
    (Closes: #513692.)  Apologies for the delay; the submission was slightly
    late for lenny, and as such no longer merited an upload on its own.
  * debian/control:
    - List ${misc:Depends} in Depends across the board, as future Debhelper
      versions could conceivably generate content for it.
    - Clean up Section fields: libfltk1.1 is already implicitly in libs, and
      libfltk1.1-dbg is in the newfangled debug section nowadays. ;-)
    - Advance Standards-Version to 3.8.3.  (No further changes required.)
    - Require debhelper (>= 7.0.50) for further rules simplification.
  * debian/rules:
    - On alpha, lock in a version of 1.1.10~rc2 for symbols introduced when
      building with GCC 4.3, which is now the default on that platform too.
    - Simplify further per debhelper 7.0.50+'s override_dh_* support.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 05 Oct 2009 23:30:45 -0400

fltk1.1 (1.1.9-6) unstable; urgency=low

  * The "belated translation updates keep rolling in" release.
  * Update Japanese Debconf translation, thanks to Hideki Yamane.
    (Closes: #494052.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 10 Aug 2008 15:27:05 -0400

fltk1.1 (1.1.9-5) unstable; urgency=low

  * Update Swedish Debconf translation, thanks to Martin Ågren.
    (Closes: #491533.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 23 Jul 2008 14:55:08 -0400

fltk1.1 (1.1.9-4) unstable; urgency=low

  * Debian still defaults to GCC 4.2 on alpha at present (2008-06-11);
    strip symbols introduced when building with 4.3 regardless of actual
    compiler version so that when the transition occurs, the generated
    dependencies will be suitably tight.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 11 Jun 2008 18:12:25 -0400

fltk1.1 (1.1.9-3) unstable; urgency=low

  * Fl_Choice's post-1.1.7 policy of insisting on a white background in
    the default scheme doesn't work so well when the user has requested a
    white (or nearly white) foreground; revert to honoring the user's
    background choice as well in such cases.  (Closes: #484660.)
  * Update symbols file, as building with GCC 4.3 appears to have
    introduced a handful of new symbols.
  * Declare compliance with Policy 3.8.0.  (No changes required.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 10 Jun 2008 20:12:09 -0400

fltk1.1 (1.1.9-2) unstable; urgency=low

  * Tweak fl_xfont emulation to map generic font names (sans, etc.) to
    customary equivalents (such as helvetica).  (Closes: #481026.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 14 May 2008 21:12:54 -0400

fltk1.1 (1.1.9-1) unstable; urgency=medium

  * New upstream release after all, with bug fixes that didn't quite
    manage to make 1.1.8.
  * Migrate from CDBS to Debhelper 7, adding a build dependency on
    dpkg-dev (>= 1.14.17) for baseline CFLAGS determination.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 09 May 2008 23:38:09 -0400

fltk1.1 (1.1.8-1) unstable; urgency=medium

  * Final upstream 1.1.8 (and 1.1.x) release; no functional changes from rc3.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 29 Mar 2008 09:48:46 -0400

fltk1.1 (1.1.8~rc3-1) unstable; urgency=low

  * New upstream release candidate.
  * Drop debian/rules logic to fix games' .desktop Categories, which
    upstream has now modernized.
  * Install cmake modules into /usr/lib/fltk and add a dummy cache, per
    FindFLTK.cmake's expectations.  (Closes: #437967.)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 24 Mar 2008 18:28:34 -0400

fltk1.1 (1.1.8~rc2-2) unstable; urgency=medium

  * Restore single-line fltk-config --libs output for compatibility with
    callers that expected such, even though they probably meant to use
    --ld(static)flags anyway.  (Closes: #470327.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 11 Mar 2008 19:16:27 -0400

fltk1.1 (1.1.8~rc2-1) unstable; urgency=low

  * New upstream release candidate.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 10 Mar 2008 20:26:14 -0400

fltk1.1 (1.1.8~rc1-2) unstable; urgency=low

  * Fix upstream fl_read_image() regression in dealing with
    double-buffered windows.  (Closes: #469089.)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 03 Mar 2008 19:53:26 -0500

fltk1.1 (1.1.8~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * Reformat copyright file slightly to ensure legal validity (per Lintian).
  * Readjust fltk1.1-doc's doc-base section to Programming/C++ per
    doc-base 0.8.10.
  * Add a libfltk1.1.symbols file to permit looser reverse dependencies in
    many cases.
  * Formally move to Debhelper 6, bumping the cdbs requirement to 0.4.51
    to avoid #462130.
  * Update watch file to handle release candidates correctly.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 28 Feb 2008 19:54:09 -0500

fltk1.1 (1.1.7-7) unstable; urgency=low

  * Apply upstream fix (to be included in 1.1.8 if and when it ever
    materializes) for "fluid -c"'s inappropriate X usage when generating
    code for Fl_Help_View widgets.  (Closes: #455232.)
  * Adjust shared library linkage per dpkg-shlibdeps's new warnings.  The
    only remaining warnings concern libm, which g++ pulls in even when not
    explicitly asked to.
  * Belatedly modernize fltk1.1-doc's doc-base section (Apps -> Applications).
  * Declare compliance with Policy 3.7.3.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project.  (Closes: #452494.)
  [Debconf translation updates]
  * French.  (Closes: #453262.)
  * Basque.  (Closes: #453275.)
  * Galician.  (Closes: #453327.)
  * Vietnamese.  (Closes: #453380.)
  * Finnish.  (Closes: #453643.)
  * Portuguese.  (Closes: #453913.)
  * German.  (Closes: #454643.)
  * Czech.  (Closes: #455238.)
  * Russian.  (Closes: #455964.)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 17 Dec 2007 19:26:41 -0500

fltk1.1 (1.1.7-6) unstable; urgency=low

  * Turn fl_xfont into a smart pointer capable of on-demand
    (re)initialization so that future releases with improved core-font
    selection logic need not run it on every single font change.
  * Correct debian/watch.  (Closes: #449636.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 07 Nov 2007 20:23:57 -0500

fltk1.1 (1.1.7-5) unstable; urgency=low

  * Ship binaries of the example games, with ALSA enabled on Linux, in a
    new fltk1.1-games package.  (NB: although upstream's names for the
    games do not appear to conflict with anything currently in Debian,
    they are sufficiently generic that the Debian packages err on the side
    of caution by prepending fl.)
  * Further streamline all executables' shared-library dependencies.
  * Move .desktop files to /usr/share/applications, as /usr/share/applnk
    is deprecated and KDE-only.  (Closes: #444063)
  * Run dh_icons for fluid and fltk1.1-games, also per #444063.
  * Modernize games' .desktop files' Categories settings as well.
  * Drop gratuitous (and typo-ridden) DEB_DH_SHLIBDEPS_ARGS setting.
  * fltk-config(.in) --compile: link FLTK dynamically.  (Closes: #441141.)
  * Declare home page centrally (per dpkg 1.14.6) rather than in descriptions.
  * Accommodate the (atypical) possibility of multi-word CC and CXX settings.
  * Declare those inter-package dependencies that need to be tight with
    ${binary:Version} rather than the deprecated ${Source-Version}.
  * Modernize fluid's Debian menu section (Apps -> Applications).
  * Expand debian/copyright; in particular, clarify that licensees have
    the option of applying newer LGPL versions (than v2.0).
  * Drop old workaround for #365085 in favor of simply requiring a new
    enough cdbs.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 13 Oct 2007 16:24:19 -0400

fltk1.1 (1.1.7-4) unstable; urgency=low

  * configure(.in), {src,test}/Makefile: drop unnecessary hardcoded
    dependencies on libXext, zlib, and libGLU, per Nathanael Nerode's
    patch; inaugurate libfltk1.1-dev's NEWS.Debian with a suitable entry.
    (Closes: #405233.)
  * debian/po/es.po: new Spanish translation for libfltk1.1-dev, courtesy
    of César Gómez Martín <cesar.gomez@gmail.com> and Manuel Porras
    Peralta, unfortunately too late for etch.  (Closes: #414453.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 22 Apr 2007 16:28:19 -0400

fltk1.1 (1.1.7-3) unstable; urgency=low

  * debian/po/pt.po: new (European) Portuguese translation for
    libfltk1.1-dev, courtesy of Pedro Ribeiro <p.m42.ribeiro@gmail.com>.
    (Closes: #410733.)
  * Declare (preexisting) compliance with Standards-Version: 3.7.2.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 21 Feb 2007 16:56:13 -0500

fltk1.1 (1.1.7-2) unstable; urgency=low

  * debian/po/it.po: new Italian Debconf translation for libfltk1.1-dev,
    thanks to Andrea Bolognani <eof@kiyuko.org>.  (Closes: #358191.)
  * Merge in more fixes from the 1.1 branch, whose likelihood of seeing
    another upstream release is highly uncertain; bump shlibs requirement
    because these add two new public methods.
  * (Build-)depend directly on libgl(u)1-mesa-dev by default (but keep
    the alternate [build-]dependencies on virtual packages, of course).
  * Install fluid-32.xpm, and use it as fluid's menu icon.
  * Move up to debhelper compatibility level 5, and make use of cdbs
    0.4.37's automatic -dbg package handling.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 16 Apr 2006 14:34:24 -0400

fltk1.1 (1.1.7-1) unstable; urgency=low

  * New upstream release; among many other things:
    - Fixes nonsensical sentence in documentation.  (Closes: #341747.)
    - Documents new foreground()/background() paradigm.  (Closes: #343550.)
  * Enable (newly added) Xinerama support and add an appropriate build
    dependency.
  * Build with the default GCC version on all architectures, as g++-4.0 no
    longer suffers from bug #336463 as of revision 4.0.2-4.  (Closes: #342965.)
  * Generally resynch and tidy up debian/rules.
  * Rework installation slightly, and install fluid's new .desktop files.
  * Update version info in pregenerated FLTKConfig.cmake, and stop shipping
    a redundant copy of FLTKUse.cmake now that it's materialized upstream.
  * Extend fluid's internationalization to the two new fluid-generated
    modules (print_panel and template_panel) and attempt (rather
    conservatively, as I know extremely little Spanish) to bring its
    Spanish translation up to date.  Further assistance, and for that
    matter a Spanish Debconf translation, would be appreciated.
  * Resynch with upstream SVN as of Jan. 31, which just adds some belated
    bugfixes.
  * Make fltk-config(.in) list indirect dependencies only for
    --ldstaticflags (vs. --ldflags), and accordingly downgrade most of
    libfltk1.1-dev's dependencies to suggestions.

 -- Aaron M. Ucko <ucko@debian.org>  Wed,  1 Feb 2006 18:02:47 -0500

fltk1.1 (1.1.6-10) unstable; urgency=low

  * Build with g++-3.4 on mips(el) to work around GCC bug #336463.

 -- Aaron M. Ucko <ucko@debian.org>  Sat,  5 Nov 2005 15:01:51 -0500

fltk1.1 (1.1.6-9) unstable; urgency=low

  * Internationalize fluid and add a Spanish translation, all thanks to
    Miriam Ruiz.  (Closes: #333401.)
  * Backport upstream patch to use (user-specified) FL_FOREGROUND_COLOR et
    al. more widely.  (Closes: #332489.)
  * Ship .cmake files (though cmake already supplies FindFLTK.cmake).
    (Closes: #333245.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri,  4 Nov 2005 22:41:43 -0500

fltk1.1 (1.1.6-8) unstable; urgency=low

  * debian/control: drop long-obsolete alternate (build-)dependencies on
    ancient versions of xlibs-dev.
  * debian/po/*: force an update to ensure a proper Report-Msgid-Bugs-To field.
  * debian/po/sv.po: new Swedish translation, thanks to Daniel Nylander
    <po@danielnylander.se>.  (Closes: #331473.)
  * BTW, libfltk1.1-dev's merged templates file should now be encoded in
    UTF-8 throughout rather than in a hodgepodge of national encodings.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 10 Oct 2005 12:02:06 -0400

fltk1.1 (1.1.6-7) unstable; urgency=medium

  * Clean up build-dependencies now that the dust from the libglu1c2
    fiasco has settled.
  * Give Fl_Check_Browser an appropriate destructor to keep it from
    leaking memory.  (Closes: #321285, but affected programs may need to
    be recompiled to get the fix.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 11 Aug 2005 18:29:23 -0400

fltk1.1 (1.1.6-6) unstable; urgency=low

  * debian/po/vi.po: add a Vietnamese translation, thanks to Clytie
    Siddall <clytie@riverland.net.au>.  (Closes: #314172.)
  * debian/*: C++ transition.  (Closes: #317539.)
    - libfltk1.1c102 renamed back to libfltk1.1, as no package by that
      name ever appeared in a release; redundant conflicts dropped.
    - Make sure to use a post-transition libglu1c2 such as libglu1-xorg.
  * debian/control: standards-version 3.6.2 (already compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 12 Jul 2005 17:36:12 -0400

fltk1.1 (1.1.6-5) unstable; urgency=medium

  * Revert previous change, which seems to have been ineffective for some
    reason, in favor of commenting out the problematic Makefile rule
    altogether.  (Closes: #310151.)
  * debian/control: Go back to specifying the URL as part of the
    description rather than via a non-standard field that doesn't seem to
    have caught on.  (Closes: #310240.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 22 May 2005 13:57:06 -0400

fltk1.1 (1.1.6-4) unstable; urgency=medium

  * debian/rules: touch configure to avoid trying to run autoconf as part
    of the build.  (This got lost when converting to CDBS years ago; I
    don't know why it didn't bite any of the many intervening releases.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 20 May 2005 17:40:16 -0400

fltk1.1 (1.1.6-3) unstable; urgency=medium

  * debian/po/cs.po: add a Czech translation, thanks to Miroslav Kure
    <kurem@debian.cz>.  (Closes: #308058.)
  * debian/po/ja.po: add a Japanese translation, thanks to Atsushi Shimono
    <shimono@kwasan.kyoto-u.ac.jp>.  (Closes: #309730.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 19 May 2005 21:17:45 -0400

fltk1.1 (1.1.6-2) unstable; urgency=low

  * test/*.cxx: Apply patch from Andreas Jochens <aj@andaco.de> to fix
    bogus pointer->int casts, which GCC 4.0 rightly treats as errors on
    64-bit systems.  (Closes: #284168.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat,  4 Dec 2004 12:59:54 -0500

fltk1.1 (1.1.6-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Remove oddly named stray po file that accidentally crept in last time.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 24 Nov 2004 11:52:54 -0500

fltk1.1 (1.1.5-2) unstable; urgency=low

  * debian/po/pt_BR.po: add a Brazilian Portuguese Debconf translation,
    thanks to Tiago Bortoletto Vaz <tiagovaz@im.ufba.br> (Closes: #281459.)
  * src/fl_font_xft.cxx: kludge in support for using the Xlib code in
    fl_font_x.cxx as a fallback, for instance to work around bugs such as
    #277602 and #281203.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 16 Nov 2004 10:44:06 -0500

fltk1.1 (1.1.5-1) unstable; urgency=medium

  * New upstream release; Debian patches merged forward as usual.
  * debian/rules:
    - stop setting DEB_MAKE_INSTALL_TARGET now that upstream supports DESTDIR.
    - resync OPTIM setting with configure(.ac).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 19 Oct 2004 22:30:05 -0400

fltk1.1 (1.1.4+1.1.5rc3-1) unstable; urgency=low

  * New upstream release candidate; Debian patches merged forward as usual.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 27 Sep 2004 11:46:22 -0400

fltk1.1 (1.1.4+1.1.5rc2-1) unstable; urgency=low

  * New upstream release candidate; Debian patches merged forward as usual.
  * debian/watch: new, in hopes of making DEHS somewhat happier; only
    marginally useful due to lack of support for release candidates, though.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 27 Jul 2004 21:12:39 -0400

fltk1.1 (1.1.4+1.1.5rc1-3) unstable; urgency=low

  * debian/control: Make libfltk1.1-dev's description slightly more detailed.
  * debian/libfltk1.1-dev.config: determine header-links's default by
    inspecting /usr/include/FL.
  * debian/libfltk1.1-dev.postrm: remove gratuitous and potentially
    fragile use of debconf.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 26 Jul 2004 21:08:49 -0400

fltk1.1 (1.1.4+1.1.5rc1-2) unstable; urgency=low

  * debian/{control,rules}: add a (new-style) libfltk1.1c102-dbg package.
  * New Debconf translations (debian/po/*.po):
    - nl [Dutch] by Luk Claes <luk.claes@ugent.be>.  (Closes: #251243.)
    - de [German] by Erik Schanze <mail@erikschanze.de>.  (Closes: #252724.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 26 Jun 2004 19:35:37 -0400

fltk1.1 (1.1.4+1.1.5rc1-1) unstable; urgency=low

  * New upstream release candidate, incorporating the fix for #226014.
    Remaining patches ported forward (usually trivially).
  * FL/Makefile.in: revert changes (now handled more cleanly).
  * debian/libfltk1.1-dev.links: new, for the two header-related links we
    actually want.
  * debian/rules:
    - don't let CDBS pass CFLAGS to configure; FLTK's build system is
      somewhat idiosyncratic and prefers such settings in OPTIM.
    - take advantage of configure's new --without-links option.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 14 Apr 2004 21:55:19 -0400

fltk1.1 (1.1.4-6) unstable; urgency=low

  * The "Oh, so THAT'S where the promised translation went" release.
  * debian/po/fr.po: new, per Eric Madesclair <eric-m@wanadoo.fr>.
    (Closes: #232941.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 26 Mar 2004 23:13:18 -0500

fltk1.1 (1.1.4-5) unstable; urgency=medium

  * Urgency medium due to fix for FTBFS.
  * aclocal.m4: Supply Jurij Smakov's AC_PATH_X_CORRECTED et al. from
    #233969, since FLTK does not use Xt.
  * configure(.in): Use it.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 11 Mar 2004 19:48:07 -0500

fltk1.1 (1.1.4-4) unstable; urgency=low

  * debian/changelog: fix thinko in previous entry.  (The change was to
    rules, not changelog!)
  * debian/control:
    - adjust X (build-)dependencies per 4.3 reorg.
    - add libz-dev and libgl(u)-dev as alternatives for the relevant packages.
    - rework descriptions.
  * debian/menu: quote all values, restoring Lintian cleanliness.

 -- Aaron M. Ucko <ucko@debian.org>  Wed,  3 Mar 2004 11:00:29 -0500

fltk1.1 (1.1.4-3) unstable; urgency=low

  * debian/libfltk1.1-dev.templates: gettextize despite a lack of
    translations, as this is apparently a chicken-and-egg situation.
  * debian/rules: fix DEB_DH_SHLIBDEPS_ARGS.

 -- Aaron M. Ucko <ucko@debian.org>  Sun,  8 Feb 2004 09:54:11 -0500

fltk1.1 (1.1.4-2) unstable; urgency=low

  * debian/control:
    - (Build-)depend on libxft-dev (>> 2.1.2) rather than libxft2-dev,
      which is now just a virtual alias.  (Closes: #227309.)
    - Bump build-dependency on debhelper to 4.1.46 per cdbs's advice.
  * debian/copyright: spell everything out as required.
  * debian/rules: install CREDITS per above.
  * documentation/intro.html: remove links to dead mirrors.  (Closes: #216039.)
  * src/Fl_Preferences.cxx: don't bother calling makePathForFile until we
    actually want to write something.  (Closes: #226014.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 14 Jan 2004 18:17:33 -0500

fltk1.1 (1.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Aaron M. Ucko <ucko@debian.org>  Tue,  9 Sep 2003 11:20:24 -0400

fltk1.1 (1.1.3+1.1.4rc2-2) unstable; urgency=low

  * fluid: make sure generated color specifications are actual Fl_Colors.
    (Closes: #207208).
  * debian/rules: remember to compile with -D_REENTRANT per Policy 10.2.
  * debian/control: Standards-Version 3.6.1.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 25 Aug 2003 21:01:31 -0400

fltk1.1 (1.1.3+1.1.4rc2-1) unstable; urgency=low

  * New upstream release candidate, incorporating (among MANY other things)
    most of our changes, including support for Xft 2.
  * debian/control: Standards-Version increased to 3.6.0 (no changes needed).

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 30 Jul 2003 14:32:56 -0400

fltk1.1 (1.1.3+1.1.4rc1-3) unstable; urgency=low

  * debian/libfltk1.1-dev.config: increase priority of question to medium,
    since it seems to be more controversial than anticipated.  (See #196003)
  * debian/rules: clear DEB_MAKE_CHECK_TARGET to avoid breaking with
    cdbs >= 0.4.3.
  * src/fl_font_xft.cxx: make sure to set fl_xfont to something valid,
    albeit not generally the actual requested font, in fl_font().

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 29 Jun 2003 12:41:36 -0400

fltk1.1 (1.1.3+1.1.4rc1-2) unstable; urgency=medium

  * fluid/Fl_Widget_Type.cxx,src/Fl_Text_Editor.cxx:
    apply upstream's patch for STR #52 (which ate edits in most cases).

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 30 May 2003 11:30:58 -0400

fltk1.1 (1.1.3+1.1.4rc1-1) unstable; urgency=low

  * New upstream version (1.1.4 release candidate 1).
  * FL/Makefile.in, debian/libfltk1.1-dev.{config,postinst,postrm,templates}:
    make deprecated *.h headers optional, via Debconf.  (Closes: #179503)
  * Makefile, makeinclude.in: revert DESTDIR hack.
  * configure: regenerate with Autoconf 2.57 rather than 2.13, since
    upstream uses 2.53 and the diff ends up much smaller.
  * debian/control: bump cdbs build-dep to >= 0.2.8.
  * debian/rules:
    - make sure to build libfltk1.1c102's shlibs file before calculating
      fluid's dependencies.
    - set DEB_MAKE_INSTALL_TARGET per cdbs 0.2.8.
    - set version in shlibs file automatically again.
  * debian/rules.manual: retire.
  * src/fl_font_xft.cxx:
    - upstream's fix for gl_font() is Xft1-specific; substitute a much
      cruder version that at least keeps it from segfaulting.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 27 May 2003 15:44:15 -0400

fltk1.1 (1.1.3-6) unstable; urgency=low

  * debian/rules: re-add -fPIC (and -W*) back to the misleadingly named OPTIM.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 23 May 2003 08:38:11 -0400

fltk1.1 (1.1.3-5) unstable; urgency=low

  * Sigh, properly write DEB_DH_MAKESHLIBS_ARGS in debian/rules.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 22 May 2003 23:16:36 -0400

fltk1.1 (1.1.3-4) unstable; urgency=low

  * Rework DESTDIR handling to avoid breaking fltk-config.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 22 May 2003 22:37:08 -0400

fltk1.1 (1.1.3-3) unstable; urgency=low

  * Adopted; thanks to Stefan for originally packaging it, and Ray for his
    recent build fixes.
  * Makefile: hack in DESTDIR support to make CDBS happy.
  * debian/control: Note adoption; build-dep on CDBS; bump standards version.
  * debian/copyright: Note adoption; drop (old) version number from URL.
  * debian/rules: Convert to CDBS.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 22 May 2003 21:22:35 -0400

fltk1.1 (1.1.3-2.5) unstable; urgency=medium

  * NMU
  * [src/Makefile] Changed linking command for libfltk_forms.so,
    libfltk_images.so and libfltk_gl to get complete inter-library dependency
    information into them.
  * [Makefile] Changes several "break"s into "exit 1"s in order not to
    silently ignore errors.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 17 May 2003 11:32:21 +0200

fltk1.1 (1.1.3-2.4) unstable; urgency=medium

  * NMU.
  * [debian/rules] Touch configure.in and configure to ensure the build will
    not invoke autoconf (as the previous upload did on an m68k buildd).
  * [debian/control] Follow libpng12-0-dev -> libpng12-dev renaming.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 12 May 2003 06:21:45 +0200

fltk1.1 (1.1.3-2.3) unstable; urgency=medium

  * NMU.
  * [debian/control] Corrected the flwm version number in the Conflicts: line.
  * [documentation/Makefile] With htmldoc 1.8.23 some errors ((preformatted)
    text too long) occur but the resulting files are still acceptible - ignore
    htmldoc's exit code.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 11 May 2003 21:28:52 +0200

fltk1.1 (1.1.3-2.2) unstable; urgency=low

  * NMU again.
  * Fix Xft2-detection patch to include `xft-config --cflags` in CPPFLAGS
    to avoid a gratuitous, unlisted build-dependency on libttf2-dev. (Oops.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu,  8 May 2003 22:56:19 -0400

fltk1.1 (1.1.3-2.1) unstable; urgency=low

  * NMU with maintainer's permission.
  * Persuade to build against libxft2 after all.  (Closes: #189467)
    - Declares forwards and backwards incompatibility with previous
      versions to be safe.
  * Change section of libfltk1.1-dev to libdevel.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 17 Apr 2003 22:30:47 -0400

fltk1.1 (1.1.3-2) unstable; urgency=low

  * Link in libstdc++ dynamically (!)
  * fix -L path for dh_shlibdeps

 -- Stefan Schwandter <swan@debian.org>  Sat, 15 Mar 2003 16:26:11 +0100

fltk1.1 (1.1.3-1) unstable; urgency=low

  * New upstream release
  * Build-Conflicts libxft2-dev, because configure scripts won't use xft if
    it's installed
  * Change xlibmesa-dev build dependency to xlibmesa-gl-dev, xlibmesa-glu-dev

 -- Stefan Schwandter <swan@debian.org>  Sat, 15 Mar 2003 14:38:51 +0100

fltk1.1 (1.1.2-2) unstable; urgency=low

  * Compiled with gcc-3.2, libfltk1.1 -> libfltk1.1c102
  * Small fix in copyright file

 -- Stefan Schwandter <swan@debian.org>  Tue,  7 Jan 2003 16:31:27 +0100

fltk1.1 (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- Stefan Schwandter <swan@debian.org>  Sun,  1 Dec 2002 19:49:59 +0100

fltk1.1 (1.1.1-1) unstable; urgency=low

  * New upstream release
  * fltk1.1-doc: Added ps and pdf docs
  * Install unformatted manpages

 -- Stefan Schwandter <swan@debian.org>  Sun, 27 Oct 2002 23:13:10 +0100

fltk1.1 (1.1.0-4) unstable; urgency=low

  * debian/control:
    + removed libgl-dev dependency again
    + build against libpng12-0-dev

 -- Stefan Schwandter <swan@debian.org>  Sun, 27 Oct 2002 08:53:54 +0100

fltk1.1 (1.1.0-3) unstable; urgency=low

  * debian/control:
    + added libgl-dev to libfltk1.1-dev's deps

 -- Stefan Schwandter <swan@debian.org>  Fri, 11 Oct 2002 21:11:25 +0200

fltk1.1 (1.1.0-2) unstable; urgency=low

  * debian/control:
    + fix my e-mail address
    + some Suggests: changes

 -- Stefan Schwandter <swan@debian.org>  Fri, 11 Oct 2002 18:25:34 +0200

fltk1.1 (1.1.0-1) unstable; urgency=low

  * Initial release (closes: #131427) (closes: #135955)

 -- Stefan Schwandter <swan@debian.org>  Sat,  5 Oct 2002 10:07:26 +0200
